Bug 214467 - slow rpm install of kernel with no floppy hardware
slow rpm install of kernel with no floppy hardware
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 14:16 EST by Wart
Modified: 2008-05-06 12:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compressed strace -f output (1.36 MB, application/octet-stream)
2006-11-28 19:38 EST, Wart
no flags Details

  None (edit)
Description Wart 2006-11-07 14:16:43 EST
Description of problem:
Installing kernel-xen on a laptop that has no floppy drive takes 6 minutes, as
compared to < 1 minute for a standard kernel rpm.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-1.2798.fc6.i686

How reproducible:
Always happens on my laptop with no floppy, but not reproducible on my desktop
with no floppy.

Steps to Reproduce:
1. time yum install kernel-xen
  
Actual results:
# time rpm -ivh kernel-xen-2.6.18-1.2798.fc6.i686.rpm Preparing...             
  ########################################### [100%]
   1:kernel-xen             ########################################### [100%]

real    6m1.508s
user    0m6.660s
sys     0m3.480s


Expected results:
The 'real' time is ~1 minute or so.

Additional info:
If I run 'strace -f' on the rpm process, then I see it spending a lot of time
trying to read from the nonexistent floppy drive.  Most of the time it's
hanging, waiting for a response that never comes.
Comment 1 Stephen Tweedie 2006-11-15 17:02:04 EST
Could you compress and attach that "strace -f", please?  In principle the xen
rpm should be no different from the non-xen one; fd access is most likely
lvm-related, so I have no idea why it should be tied to xen.
Comment 2 Wart 2006-11-28 19:38:03 EST
Created attachment 142347 [details]
compressed strace -f output

Attached is the strace output.	It turns out that this also happens during
normal kernel upgrades, too.  I just hadn't had a kernel upgrade on FC6 until
recently.  :)
Comment 3 Orion Poplawski 2007-04-24 19:10:30 EDT
See this in current development installs.   syslog:

<4>end_request: I/O error, dev fd0, sector 0
<4>end_request: I/O error, dev fd0, sector 0
<3>Buffer I/O error on device fd0, logical block 0
<4>end_request: I/O error, dev fd0, sector 0
<3>Buffer I/O error on device fd0, logical block 0
<4>end_request: I/O error, dev fd0, sector 0
<4>end_request: I/O error, dev fd0, sector 0
<3>Buffer I/O error on device fd0, logical block 0
<4>end_request: I/O error, dev fd0, sector 0
<3>Buffer I/O error on device fd0, logical block 0

In the past, this was a grub problem.  Might still be.  I'll search for old grub
bugs...
Comment 4 Orion Poplawski 2007-04-24 19:15:19 EDT
Could be dupe of bug 155876
Comment 5 Bug Zapper 2008-04-04 00:30:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:44:26 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.